### Hierarchy

- LobbyManager

## Index

### Constructors

- constructor

### Properties

- fixedLobbyName
- lobbyRunners
- pubSub

### Methods

- checkLobby
- createLobby
- deleteExpiredLobbies

## Constructors

### constructor

- new LobbyManager(fixedLobbyName: boolean): LobbyManager

- - Defined in lobby/LobbyManager.ts:14

  #### Parameters

  - ##### fixedLobbyName: boolean

  #### Returns LobbyManager

## Properties

### Private fixedLobbyName

fixedLobbyName: boolean

- Defined in lobby/LobbyManager.ts:12

### Private lobbyRunners

lobbyRunners: LobbyRunner[] = []

- Defined in lobby/LobbyManager.ts:10

### Private pubSub

pubSub: default

- Defined in lobby/LobbyManager.ts:11

## Methods

### Private checkLobby

- checkLobby(data: LOBBY_JOIN_MESSAGE): void

- - Defined in lobby/LobbyManager.ts:47

  #### Parameters

  - ##### data: LOBBY_JOIN_MESSAGE

  #### Returns void

### Private createLobby

- createLobby(data: LOBBY_CREATE_MESSAGE): void

- - Defined in lobby/LobbyManager.ts:24

  #### Parameters

  - ##### data: LOBBY_CREATE_MESSAGE

  #### Returns void

### Private deleteExpiredLobbies

- deleteExpiredLobbies(): void

- - Defined in lobby/LobbyManager.ts:63

  #### Returns void

Generated using TypeDoc